Source: dleyna-core
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12),
               libglib2.0-dev,
               libgupnp-1.2-dev (>= 0.19.1)
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://01.org/dleyna/
Vcs-Git: https://salsa.debian.org/debian/dleyna-core.git
Vcs-Browser: https://salsa.debian.org/debian/dleyna-core

Package: libdleyna-core-1.0-5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks:
 libdleyna-core-1.0-3 (>= 0.6.0),
Replaces:
 libdleyna-core-1.0-3 (>= 0.6.0),
Description: Utility functions for higher level dLeyna components
 dleyna-core is a library of utility functions that are used by the higher
 level dLeyna libraries that communicate with DLNA devices, e.g.,
 dleyna-server. In brief, it provides APIs for logging, error, settings and
 task management and an IPC abstraction API.
 .
 dLeyna is an umbrella project hosting a number of middleware components
 designed to make it easy for developers to integrate DLNA functionality into
 their applications.

Package: libdleyna-core-1.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libdleyna-core-1.0-5 (= ${binary:Version}),
         libglib2.0-dev,
         libgupnp-1.2-dev (>= 0.19.1),
         pkg-config,
         ${misc:Depends}
Description: Utility functions for higher level dLeyna components (development files)
 dleyna-core is a library of utility functions that are used by the higher
 level dLeyna libraries that communicate with DLNA devices, e.g.,
 dleyna-server. In brief, it provides APIs for logging, error, settings and
 task management and an IPC abstraction API.
 .
 dLeyna is an umbrella project hosting a number of middleware components
 designed to make it easy for developers to integrate DLNA functionality into
 their applications.
 .
 This package contains the development files.
